:root{
    --base-color: #e8e9ed;
    --base-variant: #e8e9ed;
    --text-color: #111528;
    --secondary-color: #232738;
    --primary-color: #3a435d;
    --accent-color: #0071ff;
}
.darkmode{
    --base-color: #131313;
    --base-variant: #000000;
    --text-color: #ffffff;
    --secondary-color: #232738;
    --primary-color: #313234;
    --accent-color: #0071ff;
}
*{
    margin: 0;
    padding: 0;
}
html{
    font-family: 'Times New Roman', Times, serif;
    font-size: 20px;
   /*Top bar*/
    .bar{
    text-align: center;
    padding: 10px;
    margin: auto;
    background-color: var(--primary-color)
    }
    a{
    text-decoration: none;
    color: var(--secondary-color);
    }
    .bb {
    background-color: var(--accent-color);
    border-radius: 25px;
    padding: 5px;
    }
    /* about page box*/
    .para{
        background-color: var(--accent-color);
        color: var(--text-color);
    }
}
body{
    min-height: 100vh;
    background-color: var(--base-color);
    color: var(--text-color)
}
#theme-switch{
    height: 50px;
    width: 50px;
    padding: 0;
    border-radius: 50%;
    background-color: var(--base-variant);
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 20px;
    right: 20px;
}
#theme-switch svg{
    fill: var(--primary-color);
}
#theme-switch svg:last-child{
    display: none;
}
.darkmode #theme-switch svg:first-child{
    display: none;
}
.darkmode #theme-switch svg:last-child{
    display: block;
}


/* coinflip */
.container{
    background-color: var(--primary-color);
    margin: 50px auto;
    width: 400px;
    padding: 50px;
    position: auto
    transform: translate(-50%,-50%);
    top: 50%;
    left: 50%;
    box-shadow: 15px 30px 35px rgba(0,0,0,0.1);
    border-radius: 10px;
    -webkit-perspective: 300px;
    perspective: 300px;
}
.stats{
    text-align: right;
    color: var(--text-color);
    font-weight: 500;
    line-height: 25px;
}
.coin{
    height: 150px;
    width: 150px;
    position: relative;
    margin: 50px auto;
    -webkit-transform-style: preserve-3d;
            transform-style: preserve-3d;
}
.coin img{
    width: 145px;
}
.heads,.tails{
    position: absolute;
    width: 100%;
    height: 100%;
    -webkit-backface-visibility: hidden;
            backface-visibility: hidden;
}
.tails{
    transform: rotateX(180deg);
}
@keyframes spin-tails{
    0%{
        transform: rotateX(0);
    }
    100%{
        transform: rotateX(1980deg);
    }
}
@keyframes spin-heads{
    0%{
        transform: rotateX(0);
    }
    100%{
        transform: rotateX(2160deg);
    }
}
.buttons{
    display: flex;
    justify-content: space-between;
}
button{
    width: 120px;
    padding: 10px 0;
    border: 2.5px solid var(--accent-color);
    border-radius: 5px;
    cursor: pointer;
}
#flip-button{
    background-color: var(--accent-color);
    color: var(--text-color);
}
#flip-button:disabled{
    background-color: #e1e0ee;
    border-color: var(--accent-color);
    color: var(--text-color);
}
#reset-button{
    background-color: var(--accent-color)
    color: var(var(--text-color));
}
/* coinflip */